# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/qcom,wsa8840.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm WSA8840/WSA8845/WSA8845H smart speaker amplifier

maintainers:
  - Krzysztof Kozlowski <krzysztof.kozlowski@linaro.org>
  - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>

description:
  WSA884X is a family of Qualcomm Aqstic smart speaker amplifiers using
  SoundWire digital audio interface.

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    const: sdw20217020400

  reg:
    maxItems: 1

  powerdown-gpios:
    description: Powerdown/Shutdown line to use (pin SD_N)
    maxItems: 1

  '#sound-dai-cells':
    const: 0

  vdd-1p8-supply: true
  vdd-io-supply: true

required:
  - compatible
  - reg
  - powerdown-gpios
  - '#sound-dai-cells'
  - vdd-1p8-supply
  - vdd-io-supply

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    soundwire-controller {
        #address-cells = <2>;
        #size-cells = <0>;

        speaker@0,1 {
            compatible = "sdw20217020400";
            reg = <0 1>;
            pinctrl-names = "default";
            pinctrl-0 = <&spkr_2_sd_n_active>;
            powerdown-gpios = <&lpass_tlmm 18 GPIO_ACTIVE_LOW>;
            #sound-dai-cells = <0>;
            sound-name-prefix = "SpkrRight";
            vdd-1p8-supply = <&vreg_l15b_1p8>;
            vdd-io-supply = <&vreg_l3g_1p2>;
        };
    };
